PKG-BACKUP(1)

NAME
pkg backup - backup and restore the local package database

SYNOPSIS
pkg backup [-d] <file>
pkg backup [-r] <file>

DESCRIPTION
pkg backup is used for backing up and restoring of the local package database.

OPTIONS
The following options are supported by pkg backup:

-d <file>
    Dumps the local package database to a file specified on the command-line. If - is specified as the argument pkg backup will use stdout for it's output.

-r <file>
    Uses file in order to restore the local package database. Useful in case of a database crash of lost to restore your database from previously made backup. This option is currently not implemented.

ENVIRONMENT
The following environment variables affect the execution of pkg backup. See pkg.conf(5) for further description.

PKG_DBDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg(1), pkg-add(1), pkg-autoremove(1), pkg-search(1), pkg-create(1), pkg-install(1), pkg-delete(1), pkg-info(1), pkg-register(1), pkg-repo(1), pkg-update(1), pkg-upgrade(1), pkg-version(1), pkg-which(1), pkg.conf(5)